/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_COMMON_H
#define TAU_COMMON_H
#include "Surface.h"
#include "ChemMolecule.h"
#include "ChemLib.h"
#include "tau_config.h"
#include <fstream>
namespace TAU {
class TAUEXPORT Common {
public:
  static void checkFile(const char* fileName, std::ifstream& file);
  static void readChemMolecule(const std::string fileName, ChemMolecule& mol, const ChemLib& protLib);
  static void readSurface(const std::string fileName, Surface& surface);
};
}
#endif
