/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_GRID_PARAMS_H
#define TAU_GRID_PARAMS_H
#include <string>
#include <stdio.h>
namespace TAU {
  struct GridParams {
    GridParams() : delta(0.5), maxDist(6.0), vfRadius(6.0){}
    bool add(const std::string str) {
      if(sscanf(str.c_str(), "%f %f %f", &delta, &maxDist, &vfRadius) != 3)
	return false;
      return true;
    }
    float delta;
    float maxDist;
    float vfRadius;
  };
}
#endif
