/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_MATRIX3_H
#define TAU_MATRIX3_H
#include <math.h>
#include "Vector3.h"
#include "tau_config.h"
namespace TAU { 
class TAUEXPORT Matrix3 {
public:
  typedef Vector3::real real;
  Matrix3() {
    vrow[0] = vrow[1] = vrow[2] = Vector3(0, 0, 0);
  }
  explicit Matrix3(const real &d);
  friend Vector3 operator*(const Matrix3& t, const Vector3& v) {
    return Vector3(t.vrow[0]*v, t.vrow[1]*v, t.vrow[2]*v);
  }
private:
  Vector3  vrow[3];     
};
} 
#endif
