/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_MOLECULE
#define TAU_MOLECULE
#include <fstream>
#include "tau_config.h"
namespace TAU {
  namespace internal {
    class Atom;
    template<class T>
    class Molecule;
  }
  
  class TAUEXPORT Molecule {
  public:
    Molecule();
    Molecule(const Molecule &other);
    Molecule& operator=(const Molecule& other);
    ~Molecule();
    int readPDBfile(std::ifstream &infile);
    internal::Molecule<internal::Atom> *impl_;
  };
}
#endif
