/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_MOLECULE_GRID
#define TAU_MOLECULE_GRID
#include <vector>
#include "Surface.h"
#include "Vector3.h"
#include "tau_config.h"
namespace TAU {
  namespace internal {
    class MoleculeGrid;
  }
  
  class TAUEXPORT MoleculeGrid {
  public:
    MoleculeGrid(const Surface &surface, const float inDelta,
                 const float maxRadius);
    MoleculeGrid(internal::MoleculeGrid *impl);
    MoleculeGrid(const MoleculeGrid &other);
    MoleculeGrid& operator=(const MoleculeGrid& other);
    ~MoleculeGrid();
    float getDist(const Vector3& point) const;
    internal::MoleculeGrid *impl_;
  private:
    bool own_pointer_;
  };
}
#endif
