/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_PAIRWISE_DOCKING_ENGINE_H
#define TAU_PAIRWISE_DOCKING_ENGINE_H
#include <vector>
#include <fstream>
#include <stdio.h>
#include "PairwiseProgParams.h"
#include "Result.h"
#include "tau_config.h"
namespace TAU {
  namespace internal {
    class PairwiseDockingEngine;
  }
  class TAUEXPORT PairwiseDockingEngine {
  public:
    PairwiseDockingEngine(const PairwiseAlgParams& algParams);
    PairwiseDockingEngine(const PairwiseDockingEngine &other);
    PairwiseDockingEngine& operator=(const PairwiseDockingEngine& other);
    ~PairwiseDockingEngine();
    bool build(bool interface=false);
    std::vector<Result> run(bool interface=false);
    internal::PairwiseDockingEngine *impl_;
  };
}
#endif
