/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_PATCH_SURFACE
#define TAU_PATCH_SURFACE
#include "ChemMolecule.h"
#include "SurfaceParams.h"
#include "Surface.h"
#include "DockSurface.h"
#include "tau_config.h"
namespace TAU {
  namespace internal {
    class PatchSurface;
  }
  
  class TAUEXPORT PatchSurface : public DockSurface {
  public:
    PatchSurface(const TAU::ChemMolecule& molecule, const Surface& msSurface);
    PatchSurface(const PatchSurface &other);
    PatchSurface& operator=(const PatchSurface& other);
    ~PatchSurface();
    void buildSurface(const SurfaceParams& surfaceParams, bool ligand);
    internal::PatchSurface *im() { return impl_; }
  private:
    internal::PatchSurface *impl_;
  };
}
#endif
