/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_RESULT_H
#define TAU_RESULT_H
#include "RigidTrans3.h"
namespace TAU {
class TAUEXPORT Result : public RigidTrans3 {
public:
  
  int getScore() const { return geomScore_;}
  unsigned int getRank() const { return rank_;}
  float getRMSD() const { return rmsd_;}
  float getiRMSD() const { return irmsd_;}
  int getGeomScore() const { return geomScore_;}
  float getMaxPenetration() const { return maxPenetration_;}
  float getInterfaceArea() const { return interfaceArea_;}
  float getACEScore() const { return aceScore_;}
  float getBuriedNonPolar() const { return buriedNonPolar_; }
  float getEnergyScore() const { return energyScore_;}
  unsigned int getClusterNumber() const { return clusterNumber_;}
  float getDistance() const { return distance_; }
  const RigidTrans3& rigidTrans() const { return *this;}
protected:
  unsigned int rank_; 
  float rmsd_;
  float irmsd_;
  int geomScore_;
  float maxPenetration_;
  float interfaceArea_;
  int activeSite1_;
  int activeSite2_;
  int interactingScore_;
  float aceScore_;
  float buriedNonPolar_;
  float energyScore_;
  unsigned int clusterNumber_;
  float distance_;
};
}
#endif
