/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_ROTATION3_H
#define TAU_ROTATION3_H
#include <iostream>
#include "Matrix3.h"
#include <math.h>
#include <limits>
#include <stdlib.h>
namespace TAU {
class TAUEXPORT Rotation3 {
public:
  typedef Vector3::real real;
  Rotation3();
  Rotation3(const real a, const real b, const real c, const real d);
  explicit Rotation3(const Matrix3& m);
  real operator[](const unsigned short index) const;
  operator Matrix3() const;
private:
  real quat[4];
};
}
#endif
