/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_SEGMENTATION_PARAMS_H
#define TAU_SEGMENTATION_PARAMS_H
#include "tau_config.h"
namespace TAU {
  struct TAUEXPORT SurfaceSegmentationParams {
    SurfaceSegmentationParams() : low_patch_thr(10.0), high_patch_thr(20.0), prune_thr(1.5), hotSpotFilter(0) {
      patches[0]=1;
      patches[1]=0;
      patches[2]=1;
    }
    public:
    bool add(const std::string str) {
      if(sscanf(str.c_str(), "%f %f %f %hd %hd %hd %hd", &low_patch_thr, &high_patch_thr,
		&prune_thr, &patches[0], &patches[1], &patches[2], &hotSpotFilter) != 7)
	return false;
      return true;
    }
    float low_patch_thr;
    float high_patch_thr;
    float prune_thr;
    short patches[3];
    short hotSpotFilter;
  };
}
#endif
