/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_SYMM_ASSEMBLY
#define TAU_SYMM_ASSEMBLY
#include "tau_config.h"
#include "SymmProgParams.h"
#include "CnResult.h"
namespace TAU {
  namespace internal {
    class SymmAssembly;
  }
  
  class TAUEXPORT SymmAssembly {
  public:
    SymmAssembly();
    bool setup(const AlgParams &par);
    std::vector<CnResult> run();
    SymmAssembly(const SymmAssembly &other);
    SymmAssembly& operator=(const SymmAssembly& other);
    ~SymmAssembly();
    internal::SymmAssembly *impl_;
  };
}
#endif
